pfsense v2.4.4 - 504 Gateway Time-out



  • hello

    Why I am getting 504 Gateway Time-out when enabling Interface. It is enabled all right but ....
    I told might be because I am managing trough the VPN tunnel, but I tried from the local PC and I am getting the same response

    0_1538647598493_2018-10-04_4-54-07.jpg


  • Rebel Alliance Developer Netgate

    Is the new interface a DHCP WAN? Or is your current WAN DHCP? Do any of your DHCP interfaces, if you have any, have Advanced Configuration checked? If so, see https://redmine.pfsense.org/issues/8507#note-23



  • @jimp no it is a vlan interface with static ip.
    my wan was DHCP i just changed to Static IP still getting the same response 504
    NOTE I don't have any DHCP interfaces



  • Hi Guys!

    In my pFsense, we are having the same situation. But I have two Wan interfaces with DHCP (the advanced options is disabled), but only ocours when one of the Wan is down. When one of wan is down, I get "504 Gateway Time-out" in the Web GUI, and in "/var/log/nginx-error.log", getting this entry "[error] 59187#100206: *12 upstream timed out (60: Operation timed out) while reading response header from upstream, client: X.X.X.X, server: , request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.socket", host: "X.X.X.X". I only can acess the Web GUI when the wan is back online!

    Our current version of pFsense is 2.3.2-RELEASE-p1 (amd64).

    Does anybody could help?


  • Netgate

    Upgrade.



  • @Derelict - How is upgrade a possible solution? 2.4.4 is the current release still as of 10/26/2018.

    I'm getting this same issue when one WAN interface goes down. I have 2 WAN interfaces on DHCP.


  • Netgate

    Because there have been many php-fpm issues in the webgui that have been resolved since 2.3.2. Poster referenced an obsolete version of the software. Upgrade.



  • @xlameee (the original poster) and I are running 2.4.4. I have the same symptom as xlam. Unfortunately it's not a matter of an upgrade for either of us; something else is happening for us under the same conditions.

    I know major changes and upgrades behind the scenes happened with the PHP upgrade and BSD updates since then. @Trufelli is on 2.3.2 and his use case is different than mine or xlam.


  • Netgate

    This post is deleted!